org.richfaces.context

## Class ExtendedExecuteVisitContext

- java.lang.Object
- - javax.faces.component.visit.VisitContext
  - - javax.faces.component.visit.VisitContextWrapper
    - - org.richfaces.context.ExtendedVisitContext
      - - org.richfaces.context.BaseExtendedVisitContext
        - - org.richfaces.context.ExtendedExecuteVisitContext

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.component.visit.VisitContext>

      public class ExtendedExecuteVisitContext
      extends BaseExtendedVisitContext

  Wraps parent `VisitContext` and executes `MetaComponentProcessingVisitCallback` during its `invokeVisitCallback(UIComponent, VisitCallback)` method.
  Author:
    Nick Belaevski

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.context.BaseExtendedVisitContext

      `BaseExtendedVisitContext.ClientIdTrackingStrategy`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.context.BaseExtendedVisitContext

      `addNode, removeNode`

    - ### Fields inherited from class org.richfaces.context.ExtendedVisitContext

      `META_COMPONENT_ID`

    - ### Fields inherited from class javax.faces.component.visit.VisitContext

      `ALL_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedExecuteVisitContext(javax.faces.component.visit.VisitContext visitContextToWrap, javax.faces.context.FacesContext facesContext, Collection<String> clientIds, Set<javax.faces.component.visit.VisitHint> hints)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.visit.VisitResult` | `invokeVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callbackToWrap)` Instead of execution of `VisitCallback` directly, we use `MetaComponentProcessingVisitCallback` that executes additional logic for meta-component processing.

    - ### Methods inherited from class org.richfaces.context.BaseExtendedVisitContext

      `addDirectSubtreeIdsToVisitForImplicitComponents, createNamingContainerVisitContext, getDirectSubtreeIdsToVisit, getIdsToVisit, getSubtreeIdsToVisit, hasImplicitSubtreeIdsToVisit, invokeVisitCallbackForImplicitComponent, shouldCompleteOnEmptyIds, visitClientId`

    - ### Methods inherited from class org.richfaces.context.ExtendedVisitContext

      `buildExtendedClientId, buildExtendedComponentId, getFacesContext, getVisitMode, getWrapped, invokeMetaComponentVisitCallback`

    - ### Methods inherited from class javax.faces.component.visit.VisitContextWrapper

      `getHints`

    - ### Methods inherited from class javax.faces.component.visit.VisitContext

      `createVisitContext, createVisitContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedExecuteVisitContext

          public ExtendedExecuteVisitContext(javax.faces.component.visit.VisitContext visitContextToWrap,
                                             javax.faces.context.FacesContext facesContext,
                                             Collection<String> clientIds,
                                             Set<javax.faces.component.visit.VisitHint> hints)

  - ### Method Detail

    - #### invokeVisitCallback

          public javax.faces.component.visit.VisitResult invokeVisitCallback(javax.faces.component.UIComponent component,
                                                                             javax.faces.component.visit.VisitCallback callbackToWrap)

      Instead of execution of `VisitCallback` directly, we use `MetaComponentProcessingVisitCallback` that executes additional logic for meta-component processing.
      Overrides:
        `invokeVisitCallback` in class `BaseExtendedVisitContext`
      See Also:
        `VisitContext.invokeVisitCallback()`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.